Subject: Re: Adding RapidIO to Linux

From: Matt Porter <[email-masked]>
Date: Thu, 16 Jun 2005 17:20:49 -0700

On Thu, Jun 16, 2005 at 01:44:48PM +0300, Avni Hillel-R58467 wrote:
> Hi Matt,
>  
> I want to install:
>  
> [PATCH][1/3] RapidIO support: core
> [PATCH][2/3] RapidIO support: ppc32
> [PATCH][3/3] RapidIO support: net driver over messaging
>  
> 1. What specific version of Linux should I start from?

2.6.12-rc6 is the latest release that you can apply these against.
Or they can go against the linux-2.6 git tree.
  
> 2. Are there any more patches that are relevant to RIO?
  
Several sets of patches were posted after this set, and then
there were several additions posted against the -mm tree.
Check the list archives, I cced this list on everything.

You could get the 2.6.12-rc6-mm1 patch which has a later version
of these patches.  There are additional changes in the -mm tree
but there isn't a unified patch of them until another -mm patch
is released.

-Matt